// 			******* DEVDM3 SHADER FILE BY DeV ********


textures/dev/devportal_red
{
   qer_editorimage textures/dev/rportal.tga
   q3map_lightimage textures/dev/rportal.tga
   q3map_surfacelight 500
   surfaceparm nolightmap
   surfaceparm noimpact
   surfaceparm nonsolid

	{
		map textures/dev/rportal.tga
		rgbGen identity
		tcmod rotate 350
		tcmod stretch sin 1.05 0.15 0 0.3
	   // *This layer is added to prevent entities being visible through the portal
	   //  and for better visual effect in vertex lighting mode.
	}
	{
		map textures/dev/rportal.tga
		blendfunc blend
		rgbGen wave sin 0.9 0.15 0 0.5
		tcmod rotate 350
		tcmod stretch sin 1.05 0.15 0 0.3
	}
	{
		map textures/ctf/red_telep.tga
		blendfunc add
		rgbGen wave sin 0.65 0.3 0 0.6
		tcmod rotate 371
		tcmod stretch sin 1.25 0.35 0.85 0.3
	}
	{
		map textures/effects/envmapred.tga
		tcgen environment
		blendfunc add
		rgbGen wave sin 0.3 0 0 0
		tcmod scale 1 1
	}
	{
		map textures/effects/blueflagmap.tga
		blendfunc add
		rgbGen wave sin 0.14 0.08 0 0.6
		tcmod scale 1.9 0.75
		tcmod stretch sin 1.15 0.3 0 0.3
		tcmod scroll -0.25 1.75
	}
	{
		map textures/effects/blueflagmap.tga
		blendfunc add
		rgbGen wave sin 0.14 0.08 0.5 0.6
		tcmod scale 2 0.7
		tcmod stretch sin 1.2 0.35 0.5 0.3
		tcmod scroll 0.2 1.85
	}

}


textures/dev/rustygrate3
{
    surfaceparm trans		
    surfaceparm nomarks
    cull none
    nopicmip
	{
		map textures/dev/rustygrate3.tga
		//blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}

textures/dev/pentagram_light_red_5K
{
	qer_editorimage textures/dev/pentagram_light_red.tga
	q3map_lightimage textures/dev/pentagram_light_red_blend.tga
	q3map_surfacelight 5000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/dev/pentagram_light_red.tga
		blendfunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/dev/pentagram_light_red_blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .7 .25 0 1
	}
}

textures/dev/pentagram_light_red_3K
{
	qer_editorimage textures/dev/pentagram_light_red.tga
	//q3map_lightimage textures/dev/pentagram_light_red_blend.tga
	q3map_lightimage textures/effects/envmapgold2.tga
	q3map_surfacelight 3000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/dev/pentagram_light_red.tga
		blendfunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/dev/pentagram_light_red_blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .7 .2 0 1
	}
}

textures/dev/metal_skull_2K
{
	qer_editorimage textures/dev/metal_skull.tga
	q3map_lightimage textures/dev/metal_skull_eyeglow.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/dev/metal_skull.tga
		blendfunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/dev/metal_skull_eyeglow.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .6 .35 0 .45
	}
}

textures/dev/bl18c_3_window_evil6a
{
	qer_editorimage textures/gothic_block/blocks18c_3_evilwindow.tga
	q3map_lightimage textures/gothic_wall/window_evil6a_glow.tga
	q3map_surfacelight 250
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gothic_block/blocks18c_3_evilwindow.tga
		blendfunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/dev/evilwindow_glow2.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .6 0 0 0
	}
}

textures/dev/skulllight_red_2K
{
	qer_editorimage textures/dev/skulllight_red.tga
	q3map_lightimage textures/effects/envmapred.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/dev/skulllight_red.tga
		blendfunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/dev/skulllight_yellow_3K
{
	qer_editorimage textures/gothic_light/skulllight01.tga
	q3map_lightimage textures/effects/envmapgold2.tga
	q3map_surfacelight 3000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gothic_light/skulllight01.tga
		blendfunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/dev/redsky1
{
	qer_editorimage textures/skies/stars_red.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sun .5 .37 .2 75 60 75
	q3map_surfacelight 150
	skyparms - 512 -
	{
		map textures/skies/killsky_1.tga
		tcMod scroll 0.05 .1
		tcMod scale 2 2
		depthWrite
	}
	{
		map textures/skies/killsky_2.tga
		blendfunc GL_ONE GL_ONE
		tcMod scroll 0.05 0.06
		tcMod scale 3 2
	}
}